﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SGEWCF2.AZDigitall {
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Errores/")]
    public partial class Errores : object, System.ComponentModel.INotifyPropertyChanged {
        
        private ErroresError[] errorField;
        
        private string tipoField;
        
        private string aplicacionField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("Error", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public ErroresError[] Error {
            get {
                return this.errorField;
            }
            set {
                this.errorField = value;
                this.RaisePropertyChanged("Error");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Tipo {
            get {
                return this.tipoField;
            }
            set {
                this.tipoField = value;
                this.RaisePropertyChanged("Tipo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Aplicacion {
            get {
                return this.aplicacionField;
            }
            set {
                this.aplicacionField = value;
                this.RaisePropertyChanged("Aplicacion");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Errores/")]
    public partial class ErroresError : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string codigoField;
        
        private uint lineaField;
        
        private bool lineaFieldSpecified;
        
        private string referenciaField;
        
        private string valueField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
                this.RaisePropertyChanged("Codigo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public uint Linea {
            get {
                return this.lineaField;
            }
            set {
                this.lineaField = value;
                this.RaisePropertyChanged("Linea");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineaSpecified {
            get {
                return this.lineaFieldSpecified;
            }
            set {
                this.lineaFieldSpecified = value;
                this.RaisePropertyChanged("LineaSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Referencia {
            get {
                return this.referenciaField;
            }
            set {
                this.referenciaField = value;
                this.RaisePropertyChanged("Referencia");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlTextAttribute()]
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
                this.RaisePropertyChanged("Value");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class DireccionType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string paisField;
        
        private string departamentoField;
        
        private string ciudadField;
        
        private string direccionField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Pais {
            get {
                return this.paisField;
            }
            set {
                this.paisField = value;
                this.RaisePropertyChanged("Pais");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Departamento {
            get {
                return this.departamentoField;
            }
            set {
                this.departamentoField = value;
                this.RaisePropertyChanged("Departamento");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Ciudad {
            get {
                return this.ciudadField;
            }
            set {
                this.ciudadField = value;
                this.RaisePropertyChanged("Ciudad");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Direccion {
            get {
                return this.direccionField;
            }
            set {
                this.direccionField = value;
                this.RaisePropertyChanged("Direccion");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://www.analitica.com.co/Notificaciones/WS", ConfigurationName="AZDigitall.ServiciosNotificaciones_SOAP")]
    public interface ServiciosNotificaciones_SOAP {
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que la operación Notificar no es RPC ni está encapsulada en un documento.
        [System.ServiceModel.OperationContractAttribute(Action="urn:/#Notificar", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.AZDigitall.Errores), Action="urn:/#Notificar", Name="Errores", Namespace="http://www.analitica.com.co/Esquemas/Errores/")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AZDigitall.NotificarResponse Notificar(SGEWCF2.AZDigitall.NotificarRequest request);
        
        // CODEGEN: Se está generando un contrato de mensaje, ya que la operación NotificarAVETM no es RPC ni está encapsulada en un documento.
        [System.ServiceModel.OperationContractAttribute(Action="urn:/#NotificarAVETM", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.AZDigitall.Errores), Action="urn:/#NotificarAVETM", Name="Errores", Namespace="http://www.analitica.com.co/Esquemas/Errores/")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        SGEWCF2.AZDigitall.NotificarAVETMResponse NotificarAVETM(SGEWCF2.AZDigitall.NotificarAVETMRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class Notificar : object, System.ComponentModel.INotifyPropertyChanged {
        
        private NotificarPersona[] personasNotificarField;
        
        private string descripcionField;
        
        private string observacionesField;
        
        private NotificarArchivo archivoField;
        
        private string tipoActoField;
        
        private NotificarMedioRecepcion medioRecepcionField;
        
        private bool medioRecepcionFieldSpecified;
        
        private string procedeRecursoField;
        
        private string dependenciaField;
        
        private string tipoNotificacionField;
        
        private string usuarioFirmanteField;
        
        private string idReferenciaExternoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("Persona", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public NotificarPersona[] PersonasNotificar {
            get {
                return this.personasNotificarField;
            }
            set {
                this.personasNotificarField = value;
                this.RaisePropertyChanged("PersonasNotificar");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string Observaciones {
            get {
                return this.observacionesField;
            }
            set {
                this.observacionesField = value;
                this.RaisePropertyChanged("Observaciones");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public NotificarArchivo Archivo {
            get {
                return this.archivoField;
            }
            set {
                this.archivoField = value;
                this.RaisePropertyChanged("Archivo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoActo {
            get {
                return this.tipoActoField;
            }
            set {
                this.tipoActoField = value;
                this.RaisePropertyChanged("TipoActo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public NotificarMedioRecepcion MedioRecepcion {
            get {
                return this.medioRecepcionField;
            }
            set {
                this.medioRecepcionField = value;
                this.RaisePropertyChanged("MedioRecepcion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool MedioRecepcionSpecified {
            get {
                return this.medioRecepcionFieldSpecified;
            }
            set {
                this.medioRecepcionFieldSpecified = value;
                this.RaisePropertyChanged("MedioRecepcionSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ProcedeRecurso {
            get {
                return this.procedeRecursoField;
            }
            set {
                this.procedeRecursoField = value;
                this.RaisePropertyChanged("ProcedeRecurso");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Dependencia {
            get {
                return this.dependenciaField;
            }
            set {
                this.dependenciaField = value;
                this.RaisePropertyChanged("Dependencia");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoNotificacion {
            get {
                return this.tipoNotificacionField;
            }
            set {
                this.tipoNotificacionField = value;
                this.RaisePropertyChanged("TipoNotificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string UsuarioFirmante {
            get {
                return this.usuarioFirmanteField;
            }
            set {
                this.usuarioFirmanteField = value;
                this.RaisePropertyChanged("UsuarioFirmante");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string IdReferenciaExterno {
            get {
                return this.idReferenciaExternoField;
            }
            set {
                this.idReferenciaExternoField = value;
                this.RaisePropertyChanged("IdReferenciaExterno");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class NotificarPersona : object, System.ComponentModel.INotifyPropertyChanged {
        
        private DireccionType direccionField;
        
        private string nombreField;
        
        private string tipoIdentificacionField;
        
        private string numeroIdentificacionField;
        
        private string emailField;
        
        private string telefonoField;
        
        private string tarjetaProfesionalField;
        
        private string operadorField;
        
        private string cargoField;
        
        private NotificarPersonaNotificacionElectronica notificacionElectronicaField;
        
        private bool notificacionElectronicaFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public DireccionType Direccion {
            get {
                return this.direccionField;
            }
            set {
                this.direccionField = value;
                this.RaisePropertyChanged("Direccion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Nombre {
            get {
                return this.nombreField;
            }
            set {
                this.nombreField = value;
                this.RaisePropertyChanged("Nombre");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoIdentificacion {
            get {
                return this.tipoIdentificacionField;
            }
            set {
                this.tipoIdentificacionField = value;
                this.RaisePropertyChanged("TipoIdentificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumeroIdentificacion {
            get {
                return this.numeroIdentificacionField;
            }
            set {
                this.numeroIdentificacionField = value;
                this.RaisePropertyChanged("NumeroIdentificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
                this.RaisePropertyChanged("Email");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Telefono {
            get {
                return this.telefonoField;
            }
            set {
                this.telefonoField = value;
                this.RaisePropertyChanged("Telefono");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TarjetaProfesional {
            get {
                return this.tarjetaProfesionalField;
            }
            set {
                this.tarjetaProfesionalField = value;
                this.RaisePropertyChanged("TarjetaProfesional");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Operador {
            get {
                return this.operadorField;
            }
            set {
                this.operadorField = value;
                this.RaisePropertyChanged("Operador");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Cargo {
            get {
                return this.cargoField;
            }
            set {
                this.cargoField = value;
                this.RaisePropertyChanged("Cargo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public NotificarPersonaNotificacionElectronica NotificacionElectronica {
            get {
                return this.notificacionElectronicaField;
            }
            set {
                this.notificacionElectronicaField = value;
                this.RaisePropertyChanged("NotificacionElectronica");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool NotificacionElectronicaSpecified {
            get {
                return this.notificacionElectronicaFieldSpecified;
            }
            set {
                this.notificacionElectronicaFieldSpecified = value;
                this.RaisePropertyChanged("NotificacionElectronicaSpecified");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public enum NotificarPersonaNotificacionElectronica {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("1")]
        Item1,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("0")]
        Item0,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class NotificarArchivo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string nombreField;
        
        private string tipoMimeField;
        
        private string codificacionField;
        
        private string valueField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Nombre {
            get {
                return this.nombreField;
            }
            set {
                this.nombreField = value;
                this.RaisePropertyChanged("Nombre");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoMime {
            get {
                return this.tipoMimeField;
            }
            set {
                this.tipoMimeField = value;
                this.RaisePropertyChanged("TipoMime");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Codificacion {
            get {
                return this.codificacionField;
            }
            set {
                this.codificacionField = value;
                this.RaisePropertyChanged("Codificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlTextAttribute()]
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
                this.RaisePropertyChanged("Value");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public enum NotificarMedioRecepcion {
        
        /// <remarks/>
        WS,
        
        /// <remarks/>
        F,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class RtaNotificar : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string estadoField;
        
        private string numeroActoField;
        
        private System.DateTime fechaSolicitudField;
        
        private string idArchivoField;
        
        private string idDirectorioField;
        
        private string idProcesoIniciadoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Estado {
            get {
                return this.estadoField;
            }
            set {
                this.estadoField = value;
                this.RaisePropertyChanged("Estado");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumeroActo {
            get {
                return this.numeroActoField;
            }
            set {
                this.numeroActoField = value;
                this.RaisePropertyChanged("NumeroActo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public System.DateTime FechaSolicitud {
            get {
                return this.fechaSolicitudField;
            }
            set {
                this.fechaSolicitudField = value;
                this.RaisePropertyChanged("FechaSolicitud");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string IdArchivo {
            get {
                return this.idArchivoField;
            }
            set {
                this.idArchivoField = value;
                this.RaisePropertyChanged("IdArchivo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string IdDirectorio {
            get {
                return this.idDirectorioField;
            }
            set {
                this.idDirectorioField = value;
                this.RaisePropertyChanged("IdDirectorio");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string IdProcesoIniciado {
            get {
                return this.idProcesoIniciadoField;
            }
            set {
                this.idProcesoIniciadoField = value;
                this.RaisePropertyChanged("IdProcesoIniciado");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class NotificarRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.analitica.com.co/Esquemas/Notificaciones", Order=0)]
        public SGEWCF2.AZDigitall.Notificar Notificar;
        
        public NotificarRequest() {
        }
        
        public NotificarRequest(SGEWCF2.AZDigitall.Notificar Notificar) {
            this.Notificar = Notificar;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class NotificarResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.analitica.com.co/Esquemas/Notificaciones", Order=0)]
        public SGEWCF2.AZDigitall.RtaNotificar RtaNotificar;
        
        public NotificarResponse() {
        }
        
        public NotificarResponse(SGEWCF2.AZDigitall.RtaNotificar RtaNotificar) {
            this.RtaNotificar = RtaNotificar;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class NotificarAVETM : object, System.ComponentModel.INotifyPropertyChanged {
        
        private NotificarAVETMPersona[] personasNotificarField;
        
        private string descripcionField;
        
        private string observacionesField;
        
        private NotificarAVETMArchivo archivoField;
        
        private string numeroActoField;
        
        private string tipoActoField;
        
        private NotificarAVETMMedioRecepcion medioRecepcionField;
        
        private bool medioRecepcionFieldSpecified;
        
        private string procedeRecursoField;
        
        private string dependenciaField;
        
        private string tipoNotificacionField;
        
        private string usuarioFirmanteField;
        
        private string idReferenciaExternoField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("Persona", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public NotificarAVETMPersona[] PersonasNotificar {
            get {
                return this.personasNotificarField;
            }
            set {
                this.personasNotificarField = value;
                this.RaisePropertyChanged("PersonasNotificar");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string Descripcion {
            get {
                return this.descripcionField;
            }
            set {
                this.descripcionField = value;
                this.RaisePropertyChanged("Descripcion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string Observaciones {
            get {
                return this.observacionesField;
            }
            set {
                this.observacionesField = value;
                this.RaisePropertyChanged("Observaciones");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public NotificarAVETMArchivo Archivo {
            get {
                return this.archivoField;
            }
            set {
                this.archivoField = value;
                this.RaisePropertyChanged("Archivo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumeroActo {
            get {
                return this.numeroActoField;
            }
            set {
                this.numeroActoField = value;
                this.RaisePropertyChanged("NumeroActo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoActo {
            get {
                return this.tipoActoField;
            }
            set {
                this.tipoActoField = value;
                this.RaisePropertyChanged("TipoActo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public NotificarAVETMMedioRecepcion MedioRecepcion {
            get {
                return this.medioRecepcionField;
            }
            set {
                this.medioRecepcionField = value;
                this.RaisePropertyChanged("MedioRecepcion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool MedioRecepcionSpecified {
            get {
                return this.medioRecepcionFieldSpecified;
            }
            set {
                this.medioRecepcionFieldSpecified = value;
                this.RaisePropertyChanged("MedioRecepcionSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string ProcedeRecurso {
            get {
                return this.procedeRecursoField;
            }
            set {
                this.procedeRecursoField = value;
                this.RaisePropertyChanged("ProcedeRecurso");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Dependencia {
            get {
                return this.dependenciaField;
            }
            set {
                this.dependenciaField = value;
                this.RaisePropertyChanged("Dependencia");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoNotificacion {
            get {
                return this.tipoNotificacionField;
            }
            set {
                this.tipoNotificacionField = value;
                this.RaisePropertyChanged("TipoNotificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string UsuarioFirmante {
            get {
                return this.usuarioFirmanteField;
            }
            set {
                this.usuarioFirmanteField = value;
                this.RaisePropertyChanged("UsuarioFirmante");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string IdReferenciaExterno {
            get {
                return this.idReferenciaExternoField;
            }
            set {
                this.idReferenciaExternoField = value;
                this.RaisePropertyChanged("IdReferenciaExterno");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class NotificarAVETMPersona : object, System.ComponentModel.INotifyPropertyChanged {
        
        private DireccionType direccionField;
        
        private string nombreField;
        
        private string tipoIdentificacionField;
        
        private string numeroIdentificacionField;
        
        private string emailField;
        
        private string telefonoField;
        
        private string tarjetaProfesionalField;
        
        private string operadorField;
        
        private string cargoField;
        
        private NotificarAVETMPersonaNotificacionElectronica notificacionElectronicaField;
        
        private bool notificacionElectronicaFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public DireccionType Direccion {
            get {
                return this.direccionField;
            }
            set {
                this.direccionField = value;
                this.RaisePropertyChanged("Direccion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Nombre {
            get {
                return this.nombreField;
            }
            set {
                this.nombreField = value;
                this.RaisePropertyChanged("Nombre");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoIdentificacion {
            get {
                return this.tipoIdentificacionField;
            }
            set {
                this.tipoIdentificacionField = value;
                this.RaisePropertyChanged("TipoIdentificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string NumeroIdentificacion {
            get {
                return this.numeroIdentificacionField;
            }
            set {
                this.numeroIdentificacionField = value;
                this.RaisePropertyChanged("NumeroIdentificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Email {
            get {
                return this.emailField;
            }
            set {
                this.emailField = value;
                this.RaisePropertyChanged("Email");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Telefono {
            get {
                return this.telefonoField;
            }
            set {
                this.telefonoField = value;
                this.RaisePropertyChanged("Telefono");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TarjetaProfesional {
            get {
                return this.tarjetaProfesionalField;
            }
            set {
                this.tarjetaProfesionalField = value;
                this.RaisePropertyChanged("TarjetaProfesional");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Operador {
            get {
                return this.operadorField;
            }
            set {
                this.operadorField = value;
                this.RaisePropertyChanged("Operador");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Cargo {
            get {
                return this.cargoField;
            }
            set {
                this.cargoField = value;
                this.RaisePropertyChanged("Cargo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public NotificarAVETMPersonaNotificacionElectronica NotificacionElectronica {
            get {
                return this.notificacionElectronicaField;
            }
            set {
                this.notificacionElectronicaField = value;
                this.RaisePropertyChanged("NotificacionElectronica");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool NotificacionElectronicaSpecified {
            get {
                return this.notificacionElectronicaFieldSpecified;
            }
            set {
                this.notificacionElectronicaFieldSpecified = value;
                this.RaisePropertyChanged("NotificacionElectronicaSpecified");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public enum NotificarAVETMPersonaNotificacionElectronica {
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("1")]
        Item1,
        
        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("0")]
        Item0,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public partial class NotificarAVETMArchivo : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string nombreField;
        
        private string tipoMimeField;
        
        private string codificacionField;
        
        private string valueField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Nombre {
            get {
                return this.nombreField;
            }
            set {
                this.nombreField = value;
                this.RaisePropertyChanged("Nombre");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string TipoMime {
            get {
                return this.tipoMimeField;
            }
            set {
                this.tipoMimeField = value;
                this.RaisePropertyChanged("TipoMime");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Codificacion {
            get {
                return this.codificacionField;
            }
            set {
                this.codificacionField = value;
                this.RaisePropertyChanged("Codificacion");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlTextAttribute()]
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
                this.RaisePropertyChanged("Value");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3752.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.analitica.com.co/Esquemas/Notificaciones")]
    public enum NotificarAVETMMedioRecepcion {
        
        /// <remarks/>
        WS,
        
        /// <remarks/>
        F,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class NotificarAVETMRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.analitica.com.co/Esquemas/Notificaciones", Order=0)]
        public SGEWCF2.AZDigitall.NotificarAVETM NotificarAVETM;
        
        public NotificarAVETMRequest() {
        }
        
        public NotificarAVETMRequest(SGEWCF2.AZDigitall.NotificarAVETM NotificarAVETM) {
            this.NotificarAVETM = NotificarAVETM;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class NotificarAVETMResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.analitica.com.co/Esquemas/Notificaciones", Order=0)]
        public SGEWCF2.AZDigitall.RtaNotificar RtaNotificar;
        
        public NotificarAVETMResponse() {
        }
        
        public NotificarAVETMResponse(SGEWCF2.AZDigitall.RtaNotificar RtaNotificar) {
            this.RtaNotificar = RtaNotificar;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ServiciosNotificaciones_SOAPChannel : SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiciosNotificaciones_SOAPClient : System.ServiceModel.ClientBase<SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP>, SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP {
        
        public ServiciosNotificaciones_SOAPClient() {
        }
        
        public ServiciosNotificaciones_SOAPClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiciosNotificaciones_SOAPClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiciosNotificaciones_SOAPClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiciosNotificaciones_SOAPClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AZDigitall.NotificarResponse SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP.Notificar(SGEWCF2.AZDigitall.NotificarRequest request) {
            return base.Channel.Notificar(request);
        }
        
        public SGEWCF2.AZDigitall.RtaNotificar Notificar(SGEWCF2.AZDigitall.Notificar Notificar1) {
            SGEWCF2.AZDigitall.NotificarRequest inValue = new SGEWCF2.AZDigitall.NotificarRequest();
            inValue.Notificar = Notificar1;
            SGEWCF2.AZDigitall.NotificarResponse retVal = ((SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP)(this)).Notificar(inValue);
            return retVal.RtaNotificar;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        SGEWCF2.AZDigitall.NotificarAVETMResponse SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP.NotificarAVETM(SGEWCF2.AZDigitall.NotificarAVETMRequest request) {
            return base.Channel.NotificarAVETM(request);
        }
        
        public SGEWCF2.AZDigitall.RtaNotificar NotificarAVETM(SGEWCF2.AZDigitall.NotificarAVETM NotificarAVETM1) {
            SGEWCF2.AZDigitall.NotificarAVETMRequest inValue = new SGEWCF2.AZDigitall.NotificarAVETMRequest();
            inValue.NotificarAVETM = NotificarAVETM1;
            SGEWCF2.AZDigitall.NotificarAVETMResponse retVal = ((SGEWCF2.AZDigitall.ServiciosNotificaciones_SOAP)(this)).NotificarAVETM(inValue);
            return retVal.RtaNotificar;
        }
    }
}
